> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tronrental.com/llms.txt
> Use this file to discover all available pages before exploring further.

# इनवॉइस प्राप्त करें

> ID द्वारा इनवॉइस विवरण प्राप्त करें

## इनवॉइस प्राप्त करें

इनवॉइस का विवरण और वर्तमान स्टेटस लौटाता है।

### पथ पैरामीटर

<ParamField path="invoice_id" type="number" required>
  इनवॉइस ID
</ParamField>

### रिस्पॉन्स

`status`, `payment_address`, `price_trx`, `price_usdt`, `tx_hash`, और टाइमस्टैम्प सहित पूर्ण इनवॉइस ऑब्जेक्ट लौटाता है।

### इनवॉइस स्टेटस

| स्टेटस      | विवरण                                       |
| ----------- | ------------------------------------------- |
| `pending`   | भुगतान की प्रतीक्षा                         |
| `paid`      | भुगतान प्राप्त, डेलिगेशन प्रक्रिया में      |
| `delegated` | एनर्जी सफलतापूर्वक डेलिगेट की गई            |
| `expired`   | समाप्ति से पहले कोई भुगतान प्राप्त नहीं हुआ |
| `failed`    | डेलिगेशन विफल (भुगतान वापस किया गया)        |

### उदाहरण

```bash theme={null}
curl https://api.tronrental.com/v1/invoices/12345 \
  -H "X-API-Key: your_api_key"
```

```json Response theme={null}
{
  "invoice_id": 12345,
  "payment_address": "TPaymentAddress...",
  "address": "TRecipientAddress...",
  "energy_amount": 65000,
  "duration_hours": 1,
  "price_trx": "2.75",
  "price_usdt": "0.64",
  "status": "delegated",
  "tx_hash": "a1b2c3d4e5f6...",
  "paid_at": "2026-03-05T12:05:00Z",
  "delegated_at": "2026-03-05T12:05:30Z",
  "expires_at": "2026-03-05T12:30:00Z",
  "created_at": "2026-03-05T12:00:00Z"
}
```
